#!/bin/sh
GIT_BRANCH=`git branch | grep '^\*' | awk '{print $2}'`
GIT_HASH=`git log --pretty="%h" -n 1`
DATE=`date +%Y%m%d%H%M%S`

tar zcvf webviewer_nonobfuscate_${GIT_BRANCH}_${GIT_HASH}_${DATE}.tar.gz *.ico *.html usermanual.files abvw .git
