#!/bin/sh
GIT_BRANCH=`git branch | grep '^\*' | awk '{print $2}'`
GIT_HASH=`git log --pretty="%h" -n 1`
DATE=`date +%Y%m%d%H%M%S`

#git pull
rm -fr ob
mkdir -p ob

cp -p *.html ob/
cp -rp abvw ob/
cp -p .htaccess ob/
cp -p favicon.ico ob/

cd ./packer
./obfuscate.sh
cd ../ob
tar zcvf ../webviewer_${GIT_BRANCH}_${GIT_HASH}_${DATE}.tar.gz .
